﻿#ifndef BOND_H
#define BOND_H
#include <QApplication>
#include <QWidget>
#include <QPainter>
#include <QMouseEvent>
#include <vector>
#include <QString>
#include <QDebug>
#include "CInterface.h"
#include "BondGraphicsView.h"
#include <QFrame>
// 自定义绘制窗口类
class Bond : public QWidget {
public:
    Bond(int flag, QWidget *parent = nullptr);
    void paintInitFrom(QWidget *parent);
    QPixmap getGlobalPixmap() const;
    void initFrom(QWidget *parent);
    BondGraphicsView* view;
    QGraphicsScene* scene;
private slots:
    void handleLayerRightClicked(int layer);
protected:
    void paintEvent(QPaintEvent *event) override;

private:
    MATERIAL_BOX_STRUCT boxes; // 所有料盒的数据
    QPixmap globalPixmap;
};
#endif // BOND_H
